pydo.droplets.list_neighbors()
Generated on 8 May 2026
from pydo version
v0.34.0
Usage
client.droplets.list_neighbors(droplet_id=3164444)Description
To retrieve a list of any “neighbors” (i.e. Droplets that are co-located on
the same physical hardware) for a specific Droplet, send a GET request to
/v2/droplets/{droplet_id}/neighbors.
The results will be returned as a JSON object with a key of droplets. This
will be set to an array containing objects representing any other Droplets
that share the same physical hardware. An empty array indicates that the
Droplet is not co-located any other Droplets associated with your account.
Parameters
droplet_idinteger requiredA unique identifier for a Droplet instance.
Request Sample
Response Example
More Information
See /v2/droplets/{droplet_id}/neighbors in the API reference for additional detail on responses, headers, parameters, and more.